> For the complete documentation index, see [llms.txt](https://docs.swivel.finance/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.swivel.finance/swivel-v2.0.0/swivel-exchange/exchange-functions/redeeming-tokens-interest.md).

# Redeeming Tokens/Interest

## Redeeming zcTokens

zcTokens can only be redeemed once a market has matured.

Once a market has matured, users can redeem their zcTokens 1:1 for their underlying deposit (e.g. 1 zcUSDC = 1 USDC).

**Redeeming zcTokens:**

1. Navigate to your [Positions ](https://swivel.exchange/positions)page
2. Select "Matured" to view the recently matured markets
3. Find the market and zcToken balance you would like to redeem.
4. Assuming you have zcTokens to redeem, click "redeem".
5. Confirm the transaction and receive a 1:1 amount of tokens !

## Redeeming nToken Interest

nTokens generate interest continuously until maturity.

The interest that nTokens generate can be redeemed at any time.

**Redeeming "redeemable":**

1. Navigate to your [Positions ](https://swivel.exchange/positions)page
2. Identify whether the market has matured or not, and select the correct category.
3. Find the market and "redeemable" balance you would like to redeem.
4. Click "redeem".
5. Confirm the transaction and receive a 1:1 amount of "redeemable" balance in your underlying token.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.swivel.finance/swivel-v2.0.0/swivel-exchange/exchange-functions/redeeming-tokens-interest.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
